require "defines"

local autoMoveCharacter

game.oninit(function()
	autoMoveCharacter = game.player.character
	glob.autoMoveDirection = 0
	glob.autoMoveSpeed = 0.03
end)

game.onevent(defines.events.ontick, function(event)
	
	if (glob.autoMoveDirection == 1) then
		-- North
		autoMoveCharacter.teleport{ autoMoveCharacter.position.x, autoMoveCharacter.position.y - glob.autoMoveSpeed }

	elseif (glob.autoMoveDirection == 2) then
		-- East
		autoMoveCharacter.teleport{ autoMoveCharacter.position.x + glob.autoMoveSpeed, autoMoveCharacter.position.y }

	elseif (glob.autoMoveDirection == 3) then
		-- South
		autoMoveCharacter.teleport{ autoMoveCharacter.position.x, autoMoveCharacter.position.y + glob.autoMoveSpeed }

	elseif (glob.autoMoveDirection == 4) then
		-- West
		autoMoveCharacter.teleport{ autoMoveCharacter.position.x - glob.autoMoveSpeed, autoMoveCharacter.position.y }
	end

end)

-- remote.call("AutoMove", "west")
-- remote.call("AutoMove", "speed", 5)
-- remote.call("AutoMove", "stop")

remote.addinterface("AutoMove", {
	stop = function()
		glob.autoMoveDirection = 0
	end,

	north = function()
		glob.autoMoveDirection = 1
	end,

	east = function()
		glob.autoMoveDirection = 2
	end,

	south = function()
		glob.autoMoveDirection = 3
	end,

	west = function()
		glob.autoMoveDirection = 4
	end,

	speed = function(speed)
		glob.autoMoveSpeed = speed/100
	end,

	center = function()
		game.player.character = autoMoveCharacter
	end,
})
